[tool.poetry]
name = "ai_platform_demo_scripts"
version = "0.1.0"
description = ""
authors = ["Krystyna Milian <krystyna.milian@gmail.com>"]

[tool.poetry.dependencies]
python = "^3.10"
seisbench = "^0.4.1"
torch = "^2.0.1"
PyYAML = "^6.0"
python-dotenv = "^1.0.0"
pandas = "^2.0.3"
obspy = "^1.4.0"
wandb = "^0.15.4"
torchmetrics = "^0.11.4"
ipykernel = "^6.24.0"
jupyterlab = "^4.0.2"
openpyxl = "^3.1.2"

[tool.poetry.dev-dependencies]

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
